//
//  GameBoard.h
//  TDD_TicTacToe
//
//  Created by Douglas Sjoquist on 8/21/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface GameBoard : NSObject {
    NSString * board_[3][3];
    NSMutableSet *players_;
    NSString *lastPlayer_;
}

- (void) movePlayer:player row:(int) row col:(int) col error:(NSError **) error;
- (NSString *) playerAtRow:(int) row col:(int) col;
- (NSString *) winner;
- (BOOL) isDraw;

@end
